Schedule a campaign
curl --request POST \
--url https://api.callin.io/api/public/v1/campaigns/{campaignId}/schedule \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"startTime": "<string>",
"endTime": "<string>",
"timezone": "<string>"
}
'import requests
url = "https://api.callin.io/api/public/v1/campaigns/{campaignId}/schedule"
payload = {
"startTime": "<string>",
"endTime": "<string>",
"timezone": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({startTime: '<string>', endTime: '<string>', timezone: '<string>'})
};
fetch('https://api.callin.io/api/public/v1/campaigns/{campaignId}/schedule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.callin.io/api/public/v1/campaigns/{campaignId}/schedule",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'startTime' => '<string>',
'endTime' => '<string>',
'timezone' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.callin.io/api/public/v1/campaigns/{campaignId}/schedule"
payload := strings.NewReader("{\n \"startTime\": \"<string>\",\n \"endTime\": \"<string>\",\n \"timezone\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.callin.io/api/public/v1/campaigns/{campaignId}/schedule")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"startTime\": \"<string>\",\n \"endTime\": \"<string>\",\n \"timezone\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.callin.io/api/public/v1/campaigns/{campaignId}/schedule")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"startTime\": \"<string>\",\n \"endTime\": \"<string>\",\n \"timezone\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"campaignId": "<string>",
"name": "<string>",
"agentId": "<string>",
"active": true,
"scheduled": true,
"startTime": "<string>",
"endTime": "<string>",
"timezone": "<string>",
"status": "<string>",
"startIndex": 123,
"contactCount": 123,
"contacts": [
{
"phoneNumber": "<string>",
"contactId": "<string>",
"name": "<string>",
"email": "<string>"
}
],
"followUp": {
"enabled": true,
"attempts": 123,
"intervalsMinutes": [
123
]
},
"metadata": {
"createdAt": "<string>",
"updatedAt": "<string>",
"deletedAt": "<string>"
}
},
"warning": "<string>",
"requestId": "<string>"
}Campaigns
Schedule a campaign
Queues dialing at startTime in the given IANA timezone, and pauses until the next day’s startTime after endTime. A paused or stopped campaign resumes from its saved contact index.
POST
/
public
/
v1
/
campaigns
/
{campaignId}
/
schedule
Schedule a campaign
curl --request POST \
--url https://api.callin.io/api/public/v1/campaigns/{campaignId}/schedule \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"startTime": "<string>",
"endTime": "<string>",
"timezone": "<string>"
}
'import requests
url = "https://api.callin.io/api/public/v1/campaigns/{campaignId}/schedule"
payload = {
"startTime": "<string>",
"endTime": "<string>",
"timezone": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({startTime: '<string>', endTime: '<string>', timezone: '<string>'})
};
fetch('https://api.callin.io/api/public/v1/campaigns/{campaignId}/schedule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.callin.io/api/public/v1/campaigns/{campaignId}/schedule",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'startTime' => '<string>',
'endTime' => '<string>',
'timezone' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.callin.io/api/public/v1/campaigns/{campaignId}/schedule"
payload := strings.NewReader("{\n \"startTime\": \"<string>\",\n \"endTime\": \"<string>\",\n \"timezone\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.callin.io/api/public/v1/campaigns/{campaignId}/schedule")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"startTime\": \"<string>\",\n \"endTime\": \"<string>\",\n \"timezone\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.callin.io/api/public/v1/campaigns/{campaignId}/schedule")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"startTime\": \"<string>\",\n \"endTime\": \"<string>\",\n \"timezone\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"campaignId": "<string>",
"name": "<string>",
"agentId": "<string>",
"active": true,
"scheduled": true,
"startTime": "<string>",
"endTime": "<string>",
"timezone": "<string>",
"status": "<string>",
"startIndex": 123,
"contactCount": 123,
"contacts": [
{
"phoneNumber": "<string>",
"contactId": "<string>",
"name": "<string>",
"email": "<string>"
}
],
"followUp": {
"enabled": true,
"attempts": 123,
"intervalsMinutes": [
123
]
},
"metadata": {
"createdAt": "<string>",
"updatedAt": "<string>",
"deletedAt": "<string>"
}
},
"warning": "<string>",
"requestId": "<string>"
}Authorizations
ApiKeyHeaderBearerAuth
Send your Callin API key in the x-api-key header.
Path Parameters
Was this page helpful?

